=== debian/changelog ===
magpie (0.9.3-0ubuntu10) oracular; urgency=medium

  * Bug-fix
    Resolve inability to scale the monitor resolution due to GNOME 47
    api changes (LP: #2081694)
    0001-Create-the-new-X11-scaling-dbus-interface-that-GSD-4.patch
    0002-Ensure-update-scaling-is-done-when-monitors-are-noti.patch
    0003-Cleanup-of-code-32.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 24 Sep 2024 20:07:41 +0100

magpie (0.9.3-0ubuntu9) oracular; urgency=medium

  * Bug-fix
    Adapt to gnome-settings-daemon v47
    0001-Add-API-replacing-gsd-power-s-use-of-libgnome-rr.patch
    (LP: #2080797)
    Refresh 0001-Merge-existing-x11-fractional-scaling-patch.patch
  * Packaging changes
    d/control B/D add restriction for gnome-settings-daemon due
    to the extra patch
    d/control rework version restrictions and dependencies to resolve
    FTBFS and run wrap-and-sort to tidy
    update libmagpie symbols for the patch new methods

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 16 Sep 2024 20:08:18 +0100

magpie (0.9.3-0ubuntu8) noble; urgency=medium

  * Revert recent X11 fractional scaling changes now that Ubuntu's
    mutter has regained support (LP: #2060659)
    - Drop install_x11_schema.patch
    - Don't try to install mutter gsettings schema
    - Drop Breaks/Replaces: mutter-common
    - Bump required mutter-common version

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 16:09:50 -0400

magpie (0.9.3-0ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:09:41 +0000

magpie (0.9.3-0ubuntu6) noble; urgency=medium

  * Bug-fix
    - add X11 schema to support magpie's fractional scaling patch.
      mutter-common v46.0-1ubuntu1 disabled the patch that delivered the
      schema for fractional scaling to work - without the schema
      magpie crashes.  This patch will need to be reverted if
      mutter-common regains its x11 fractional scaling patch variant
      (LP: #2058847)
      install_x11_schema.patch
  - d/magpie-common.install install the X11 schema key
  - d/control B/D replace obsolete pkg-config with pkgconf
  - d/control add mutter-common version restriction, replaces/breaks
    for the X11 schema inclusion so that upgrades unpack mutter-common
    v46 first so that we don't have package conflict files issues.
  - d/control remove control.in and B/D dh-sequence-gnome since noble
    gnome apps have moved away from requiring this control packaging format
  - d/rules no longer build with remote desktop support since GNOME 46
    gnome-remote-desktop only works with gnome-shell v46/GDM3


 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 28 Mar 2024 20:55:47 +0000

magpie (0.9.3-0ubuntu5) noble; urgency=medium

  * No-change rebuild for mutter ABI changes on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 19:30:54 +0100

magpie (0.9.3-0ubuntu4) noble; urgency=high

  * No change rebuild against libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:23:31 +0100

magpie (0.9.3-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:10:02 +0000

magpie (0.9.3-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:39:07 +0000

magpie (0.9.3-0ubuntu1) mantic; urgency=medium

  * New upstream microrelease (LP: #2032649)
    - Remove toggle-shaded keyboard shortcut binding and associated code;
      GNOME 45 has removed the associated schema since the toggle-shaded was
      considered broken capability (LP: #2031620)
    - Add COGL default_driver option to allow certain architectures to be
      built with a specific driver name. It is recommended to leave this as
      the default 'auto' for most architectures.
  * Drop meson-add-back-default_driver-option.patch since the COGL
    default_driver option this has been incorporated in this release
  * backport fractional scaling from lunar (LP: #2031908)
    0001-Merge-existing-x11-fractional-scaling-patch.patch
  * Packaging changes
    - d/libmagpie-0-0.symbols update for shade removal; no budgie components
      use this option so no need to bump the ABI

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 22 Aug 2023 20:17:39 +0100

magpie (0.9.2-0ubuntu2) mantic; urgency=medium

  * Resolve FTBFS for armhf architecture; add a meson option to build with
    a specific cogl driver required for 32bit armhf compilation
    meson-add-back-default_driver-option.patch (LP: #2031387)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 15 Aug 2023 19:57:56 +0100

magpie (0.9.2-0ubuntu1) mantic; urgency=medium

  * Initial Release (Closes: #1040005)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 13 Jul 2023 22:53:12 +0100
