=== debian/control ===
Source: magpie
Section: x11
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends:
 adwaita-icon-theme <!nocheck>,
 at-spi2-core <!nocheck>,
 dbus-daemon <!nocheck>,
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-gir,
 dmz-cursor-theme <!nocheck>,
 gir1.2-atk-1.0-dev,
 gir1.2-cairo-1.0-dev,
 gir1.2-gdesktopenums-3.0-dev,
 gir1.2-gio-2.0-dev,
 gir1.2-gl-1.0-dev,
 gir1.2-gobject-2.0-dev,
 gir1.2-graphene-1.0-dev,
 gir1.2-pango-1.0-dev,
 gir1.2-pangocairo-1.0-dev,
 gir1.2-xfixes-4.0-dev,
 gir1.2-xlib-2.0-dev,
 gnome-control-center-data,
 gnome-pkg-tools (>= 0.10),
 gnome-settings-daemon-common <!nocheck>,
 gnome-settings-daemon-dev,
 gobject-introspection (>= 1.80),
 gsettings-desktop-schemas-dev (>= 42),
 gtk-doc-tools,
 libcairo2-dev,
 libcanberra-gtk3-dev,
 libcolord-dev,
 libdrm-dev (>= 2.4.83),
 libegl1-mesa-dev,
 libfribidi-dev,
 libgbm-dev (>= 17.3) [linux-any],
 libgdk-pixbuf-2.0-dev,
 libgl-dev,
 libgles-dev,
 libglib2.0-dev (>= 2.69.0),
 libgnome-desktop-3-dev (>= 3.36.0),
 libgraphene-1.0-dev (>= 1.10.2),
 libgtk-3-dev (>= 3.19.8),
 libgudev-1.0-dev,
 libice-dev,
 libinput-dev (>= 1.19.0) [linux-any],
 libjson-glib-dev (>= 0.13.2-1~),
 liblcms2-dev,
 libpam0g-dev,
 libpango1.0-dev,
 libpipewire-0.3-dev (>= 0.3.33) [linux-any],
 libsm-dev,
 libstartup-notification0-dev,
 libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
 libsystemd-dev,
 libwacom-dev (>= 0.13) [linux-any],
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxcb-randr0-dev,
 libxcb-res0-dev,
 libxcomposite-dev (>= 1:0.4),
 libxcursor-dev,
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxkbcommon-x11-dev,
 libxkbfile-dev,
 libxrandr-dev,
 libxrender-dev,
 libxt-dev,
 meson (>= 0.55.0),
 pkgconf,
 python3-dbus <!nocheck>,
 python3-dbusmock <!nocheck>,
 sysprof (>= 3.40.1) [linux-any],
 systemd-dev,
 xauth <!nocheck>,
 xcvt [linux-any],
 xkb-data,
 xvfb,
 zenity,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/buddiesofbudgie/magpie
Vcs-Git: https://github.com/ubuntubudgie/magpie.git -b debian
Vcs-Browser: https://github.com/ubuntubudgie/magpie/tree/debian

Package: gir1.2-magpie-0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends:
 libmagpie-0-0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: GObject introspection data for magpie
 magpie is a X11 window manager and compositor library. It contains
 functionality related to, among other things, window management, window
 compositing, focus tracking, workspace management, keybindings and monitor
 configuration.
 .
 Magpie is a soft-fork of GNOME mutter v43.x tailored for the requirements
 of the budgie-desktop.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: libmagpie-0-0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends:
 adwaita-icon-theme,
 gsettings-desktop-schemas (>= 42),
 magpie-common,
 mutter-common (>= 46.0-1ubuntu9~),
 ${misc:Depends},
 ${shlibs:Depends},
Description: window manager library from the magpie window manager
 magpie is a X11 window manager and compositor library. It contains
 functionality related to, among other things, window management, window
 compositing, focus tracking, workspace management, keybindings and monitor
 configuration.
 .
 Magpie is a soft-fork of GNOME mutter v43.x tailored for the requirements
 of the budgie-desktop.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the window manager shared library, used by magpie
 itself, and gnome-shell.

Package: libmagpie-0-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
 gir1.2-magpie-0 (= ${binary:Version}),
 gsettings-desktop-schemas-dev (>= 42),
 libatk1.0-dev,
 libcairo2-dev,
 libdrm-dev,
 libegl1-mesa-dev,
 libgbm-dev,
 libgdk-pixbuf-2.0-dev,
 libgles-dev,
 libglib2.0-dev (>= 2.69.0),
 libgraphene-1.0-dev (>= 1.9.3),
 libgtk-3-dev,
 libinput-dev (>= 1.19),
 libjson-glib-dev,
 libmagpie-0-0 (= ${binary:Version}),
 libpango1.0-dev,
 libx11-dev,
 libxcomposite-dev,
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev (>= 6.0),
 libxi-dev,
 libxrandr-dev,
 ${misc:Depends},
Description: Development files for the magpie window manager
 magpie is a X11 window manager and compositor library. It contains
 functionality related to, among other things, window management, window
 compositing, focus tracking, workspace management, keybindings and monitor
 configuration.
 .
 Magpie is a soft-fork of GNOME mutter v43.x tailored for the requirements
 of the budgie-desktop.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the development files.

Package: magpie-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: shared files for the magpie window manager
 magpie is a X11 window manager and compositor library. It contains
 functionality related to, among other things, window management, window
 compositing, focus tracking, workspace management, keybindings and monitor
 configuration.
 .
 Magpie is a soft-fork of GNOME mutter v43.x tailored for the requirements
 of the budgie-desktop.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the shared files.
