## magpie 0.9.4

=== debian/changelog ===
magpie (0.9.4-3ubuntu2) questing; urgency=medium

  * This time actually add xorg to libmagpie (LP: #2114015)

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 16 Jun 2025 20:50:51 +0100

magpie (0.9.4-3ubuntu1) questing; urgency=medium

  * Add dependency on xorg (LP: #2114015)

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 16 Jun 2025 20:04:02 +0100

magpie (0.9.4-3) unstable; urgency=medium

  * Add arch statement to symbols file to prevent lintian complaining
    for i386

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 04 Oct 2024 17:35:32 +0100

magpie (0.9.4-2) unstable; urgency=medium

  * Don't enable sysprof for i386 since is no longer available
    Closes: #1083182
  * Packaging Changes
    d/control add B/D i386 restriction for sysprof
    d/control add profiler config flag for i386 restriction

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 03 Oct 2024 19:34:06 +0100

magpie (0.9.4-1) unstable; urgency=medium

  * New upstream release
  - Adapt to gnome-settings-daemon v47 (LP: #2080797)
  * Packaging Changes
  - d/control B/D add restriction for gnome-settings-daemon due
    to the extra patch
    d/control rework version restrictions and dependencies to resolve
    FTBFS and run wrap-and-sort to tidy (Closes: #1082892)
    update libmagpie symbols for the patch new methods
  - d/control B/D replace obsolete pkg-config with pkgconf
  - d/control remove control.in and B/D dh-sequence-gnome since noble
    gnome apps have moved away from requiring this control packaging format
  - d/rules no longer build with remote desktop support since GNOME 46
    gnome-remote-desktop only works with gnome-shell v46/GDM3

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 28 Sep 2024 15:20:53 +0100

magpie (0.9.3-1) unstable; urgency=medium

  * Initial Release (Closes: #1040005)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 28 Nov 2023 20:54:35 +0000
