=== debian/control ===
--- 
+++ 
@@ -77,7 +77,7 @@
  pkgconf,
  python3-dbus <!nocheck>,
  python3-dbusmock <!nocheck>,
- sysprof (>= 3.40.1) [linux-any],
+ sysprof [!hurd-i386 !i386],
  systemd-dev,
  xauth <!nocheck>,
  xcvt [linux-any],
@@ -85,7 +85,7 @@
  xvfb,
  zenity,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/buddiesofbudgie/magpie
 Vcs-Git: https://github.com/ubuntubudgie/magpie.git -b debian
 Vcs-Browser: https://github.com/ubuntubudgie/magpie/tree/debian
@@ -124,7 +124,8 @@
  adwaita-icon-theme,
  gsettings-desktop-schemas (>= 42),
  magpie-common,
- mutter-common (>= 46.0-1ubuntu9~),
+ mutter-common,
+ xorg,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: window manager library from the magpie window manager
