=== debian/rules ===
--- 
+++ 
@@ -36,10 +36,13 @@
 	-Ddefault_driver=gles2
 endif
 
+ifneq ($(filter i386,$(DEB_HOST_ARCH)),)
+CONFFLAGS +=-Dprofiler=false
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		$(CONFFLAGS)
-
 
 override_dh_girepository:
 	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/magpies-$(MAGPIE_API_VERSION)
