## magpie 1.10.0

=== DESCRIPTION ===
Package: magpie
Type: Package
Title: MeRIP-Seq data Analysis for Genomic Power Investigation and
        Evaluation
Version: 1.10.0
Authors@R: c(person(given = "Daoyu",
                    family = "Duan",
                    role = c("aut", "cre"),
                    email = "dxd429@case.edu"),
             person(given = "Zhenxing",
                    family = "Guo",
                    role = c("aut"),
                    email = "guozhenxing@cuhk.edu.cn"))
Description: This package aims to perform power analysis for the MeRIP-seq study. It calculates FDR, FDC,
 power, and precision under various study design parameters, including but not limited to 
 sample size, sequencing depth, and testing method. It can also output results into .xlsx files or 
 produce corresponding figures of choice. 
License: MIT + file LICENSE
Encoding: UTF-8
biocViews: Epitranscriptomics, DifferentialMethylation, Sequencing,
        RNASeq, Software
RoxygenNote: 7.2.1
Imports: utils, rtracklayer, Matrix, matrixStats, stats, S4Vectors,
        methods, graphics, GenomicRanges, GenomicFeatures, IRanges,
        Rsamtools, AnnotationDbi, aod, BiocParallel, DESeq2, openxlsx,
        RColorBrewer, reshape2, TRESS
Depends: R (>= 4.3.0)
Suggests: knitr, rmarkdown, kableExtra, RUnit, TBX20BamSubset,
        BiocGenerics, BiocStyle
VignetteBuilder: knitr
URL: https://github.com/dxd429/magpie
BugReports: https://github.com/dxd429/magpie/issues
git_url: https://git.bioconductor.org/packages/magpie
git_branch: RELEASE_3_22
git_last_commit: 0afc3bf
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: no
Packaged: 2025-10-30 04:48:08 UTC; biocbuild
Author: Daoyu Duan [aut, cre],
  Zhenxing Guo [aut]
Maintainer: Daoyu Duan <dxd429@case.edu>
