## magpie 1.11.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: MeRIP-Seq data Analysis for Genomic Power Investigation and
         Evaluation
-Version: 1.10.0
+Version: 1.11.0
 Authors@R: c(person(given = "Daoyu",
                     family = "Duan",
                     role = c("aut", "cre"),
@@ -31,13 +31,13 @@
 URL: https://github.com/dxd429/magpie
 BugReports: https://github.com/dxd429/magpie/issues
 git_url: https://git.bioconductor.org/packages/magpie
-git_branch: RELEASE_3_22
-git_last_commit: 0afc3bf
+git_branch: devel
+git_last_commit: 48f31cd
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-11-04
 NeedsCompilation: no
-Packaged: 2025-10-30 04:48:08 UTC; biocbuild
+Packaged: 2025-11-04 23:19:55 UTC; biocbuild
 Author: Daoyu Duan [aut, cre],
   Zhenxing Guo [aut]
 Maintainer: Daoyu Duan <dxd429@case.edu>
